com.io7m.jcanephora.core

## Class JCGLBufferUpdates

- java.lang.Object
- - com.io7m.jcanephora.core.JCGLBufferUpdates

-     public final class JCGLBufferUpdates
      extends Object

  Utility functions to allocate buffer updates.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <T extends JCGLBufferWritableType> JCGLBufferUpdateType<T>` | `newUpdateReplacingAll(T buffer)` Construct an update that will replace all of the data in `buffer`.
    `static <T extends JCGLBufferWritableType> JCGLBufferUpdateType<T>` | `newUpdateReplacingRange(T buffer, com.io7m.junsigned.ranges.UnsignedRangeInclusiveL range)` Construct an update that will replace the range of bytes given by `range` in `buffer`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### newUpdateReplacingAll

          public static <T extends JCGLBufferWritableType> JCGLBufferUpdateType<T> newUpdateReplacingAll(T buffer)

      Construct an update that will replace all of the data in `buffer`.
      Type Parameters:
        `T` - The precise type of buffer
      Parameters:
        `buffer` - The buffer
      Returns:
        An update

    - #### newUpdateReplacingRange

          public static <T extends JCGLBufferWritableType> JCGLBufferUpdateType<T> newUpdateReplacingRange(T buffer,
                                                                                                           com.io7m.junsigned.ranges.UnsignedRangeInclusiveL range)
                                                                                                    throws com.io7m.jranges.RangeCheckException

      Construct an update that will replace the range of bytes given by `range` in `buffer`.
      Type Parameters:
        `T` - The precise type of buffer
      Parameters:
        `buffer` - The buffer
        `range` - The range
      Returns:
        An update
      Throws:
        `com.io7m.jranges.RangeCheckException` - Iff `range` is not included in the buffer's range

Copyright © 2016 <code@io7m.com> http://io7m.com